
@font-face {
    font-family: Jura;
    font-weight: normal;
    src: url(fonts/Jura-Regular.ttf);
}

@font-face {
    font-family: Jura;
    font-weight: bold;
    src: url(fonts/Jura-DemiBold.ttf);
}

@font-face {
    font-family: Vollkorn;
    font-weight: normal;
    src: url(fonts/Vollkorn-Regular.ttf);
}

@font-face {
    font-family: Vollkorn;
    font-weight: bold;
    src: url(fonts/Vollkorn-Bold.ttf);
}

@font-face {
    font-family: Vollkorn;
    font-style: italic;
    src: url(fonts/Vollkorn-Italic.ttf);
}

@font-face {
    font-family: Vollkorn;
    font-weight: bold;
    font-style: italic;
    src: url(fonts/Vollkorn-BoldItalic.ttf);
}

* { margin: 0; padding: 0; box-sizing: border-box; /* position: absolute; */ /* right: 20px; */}
body { font-family: Jura; }

#roster {
    float: left;
    width: 220px;
    background: #eee;
    height: 100%;
    padding: 20px 10px;
    position: fixed;
    overflow-x: hidden;
    overflow-y: auto;
}

#roster h {
    text-transform: uppercase;
    font-weight: bold;
    line-height:30px
}

#roster .buddy {
    line-height: 26px;
    cursor: pointer;
    margin-bottom: 5px;
    padding: 0 10px;
    position: relative;
    border-left: solid 3px transparent;
    border-radius: 5px 0 0 5px;
}

#roster .buddy:hover {
    background: #fff;
}

#roster .buddy.selected {
    border-left: solid 3px #333;
    background: white;
    margin-right: -10px;
}

#roster .buddy .name {
    display: inline-block;
}

#roster .buddy[data-pending="true"] .name {
    font-weight: bold;
}

#roster .buddy .pending {
    background: #333;
    width: 30px;
    color: #eee;
    font-weight: bold;
    text-align: center;
    border-radius: 15px;
    line-height: 20px;
    position: absolute;
    top: 3px;
    right: 5px;
}

#roster .buddy .icon {
    display: inline-block;
    width: 7px;
    height: 7px;
    border-radius: 5px;
    vertical-align: middle;
    margin-right: 5px;
}

#roster .buddy[data-state="available"] .icon {
    background: #3f3;
}

#roster .buddy[data-state="unavailable"] .icon {
    background: #f33;
}

#connection {
    position: absolute;
    top: 0px;
    right: 0px;
    background: #eee;
    padding: 10px 10px 20px 20px;
    width: 190px;
    line-height: 20px;
    border-radius: 0 0 0 15px;
    z-index: 1;
}

#connection .icon {
    width: 10px;
    height: 10px;
    border-radius: 8px;
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
}

#connection[data-state="offline"] .icon {
    background: #e05;
}

#connection[data-state="connecting"] .icon {
    background: #ee3;
}

#connection[data-state="connected"] .icon {
    background: #33e;
}

#connection[data-state="online"] .icon {
    background: #3e0;
}

#connection .name {
    font-weight: bold;
    display: inline-block;
}

#connection .toggle-controls {
    right: 20px;
    top: 15px;
    position: absolute;
    cursor: pointer;
}

#connection .toggle-controls[data-toggled="true"] {
    color: #ddd;
}

#conversation {
    height: 100%;
    margin-left: 250px;
    position: relative;
}

#conversation .message-log {
    max-height: 
}

#conversation .close {
    display: none;
}

#conversation .editor {
    position: absolute;
    width: 90%;
    bottom: 0;
    left: -30px;
    border-right: solid 3px #333;
    border-top: solid 1px #333;
    border-radius: 0 15px 0 0;
}

#conversation .editor textarea {
    border: none;
    font-family: inherit;
    display: block;
    outline: none;
    width: 100%;
    background: none;
    line-height: 20px;
    padding: 10px;
}

#conversation .message-log {
    max-height: 80%;
    width: 100%;
    overflow: auto;
}

#conversation .message {
    margin-top: 10px;
    position: relative;
}

#conversation .message .time {
    position: absolute;
    top: 0;
    right: 30px;
}

#conversation .message .time:before { content: '[ '; font-weight: bold; }
#conversation .message .time:after { content: ' ]'; font-weight: bold; }

#conversation .message .from {
    font-weight:bold;
}

#conversation .message .body {
    font-family: Vollkorn;
    padding: 10px 0 5px 7px;
}

@media (max-width: 800px) {
    #connection {
        left:0px;
        right:initial;
        z-index: 1;
        border-bottom: solid 2px black;
        border-radius: 0 0 15px 15px;
        width: 220px;
    }

    #roster {
        padding-top: 60px;
    }
}

@media (max-width: 600px) {
    body { overflow: hidden; }

    body[data-panel="roster"] #conversation {
        margin-left: 100%;
        overflow: hidden;
        border: none;
        -webkit-animation: hide-conversation ease-in-out 0.5s;
    }

    body[data-panel="roster"] #conversation * {
        margin-left: 100%;
        -webkit-animation: hide-conversation ease-in-out 0.5s;
    }

    body[data-panel="roster"] #connection, body[data-panel="roster"] #roster {
        width: 100%;
        -webkit-animation: show-roster ease-in-out 0.5s;
    }

    body[data-panel="conversation"] #connection, body[data-panel="conversation"] #roster {
        margin-left: -100%;
        overflow: hidden;
        -webkit-animation: hide-roster ease-in-out 0.5s;
   }

    body[data-panel="conversation"] #conversation {
        width: 100%;
        margin-left: 5px;
        -webkit-animation: show-conversation ease-in-out 0.5s;
    }

    body[data-panel="conversation"] #conversation .editor {
        left: -5px;
        width: 100%;
        border-right: none;
        border-radius: 0;
    }

    body[data-panel="conversation"] #conversation .close {
        display: block;
        float: left;
        padding: 5px 15px;
        margin: 5px 10px 5px 0;
    }

    @-webkit-keyframes hide-conversation {
        from { margin-left: 0%; }
        to { margin-left: 100%; }
    }

    @-webkit-keyframes show-conversation {
        from { margin-left: 100%; }
        to { margin-left: 0%; }
    }


    @-webkit-keyframes hide-roster {
        from { margin-left: 0%; }
        to { margin-left: -100%; }
    }

    @-webkit-keyframes show-roster {
        from { margin-left: -100%; }
        to { margin-left: 0%; }
    }
    
}
